.signin-form {
  margin: auto;
  width: 100%;
  max-width: 750px;
  text-align: center;
  padding: 15px;
}

.banner {
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0), rgba(255, 255, 255, 1)), url('../img/product_banner.jpg') center center;
  background-size:cover;
}

.digit_input {
  width: 50px;
  height: 50px;
  line-height: 50px;
  text-align: center;
  font-size: 1.5rem;
}

.digit_input:not(:last-child) {
  margin-right: 1rem;
}

img[src*='#left'] {
  float: left;
  padding-right: 3rem;
}

img[src*='#right'] {
  float: right;
  padding-left: 3rem;
}
img[src*='#center'] {
  display: block;
  margin: auto;
  padding-bottom: 3rem;
}

@media screen and (max-width: 1409px) {
  img[src*='#left'] {
    float: left;
    width: 100%;
    padding-right: 0;
    padding-bottom: 1rem;
  }
  img[src*='#right'] {
    float: right;
    width: 100%;
    padding-left: 0;
    padding-bottom: 1rem;
  }
}

.index-banner {
  background: linear-gradient(to bottom, rgba(0, 0, 0, 0), rgba(0, 0, 0, .05)), url('../img/index_header.png') no-repeat;
  background-size: cover;
}

.product-card {
  border-left: 0px solid transparent;
  transition: all .1s ease-in-out;
}

.product-card:hover {
  border-left: 3px solid #000;
}

.product-card > .card-img-top {
  padding: 0rem;
  transition: all .3s ease-in-out;
}

.product-card > .card-img-top:hover {
  padding: .2rem;
}

.hidden_block {
  filter: blur(5px);
  user-select: none;
}

.circle_progress {
  transform: rotate(-90deg);
  stroke-dasharray: 251; /* (2PI * 40px) */
  transition: all .2s ease-out;
}

/* .roulette {
  overflow: hidden;
}

.roulette::after {
  display: block;
  content: '';
  transform: rotate(-90deg);
  border-top: 4px solid #1072B8;
}

.roulette-inner {
  top: 0;
  display: block;
  position: relative;
}

.roulette-img {
  padding: 2rem 4rem;
  max-width: calc(5rem + 4rem * 2);
  height: 100%;
}

@media (max-width: 768px) {
  .roulette-img {
    padding: 2rem;
  }
}

.roulette-title {
  font-size: 1rem;
  border-top: 1px solid #000;
  padding-top: 1rem;
}

.roulette-blue {
  box-shadow: 1px 1px #4b69ff,
              2px 2px #4b69ff,
              3px 3px #4b69ff,
              4px 4px #4b69ff,
              5px 5px #4b69ff,
              6px 6px #4b69ff;
  transition: .5s ease-in;
}

.roulette-purple {
  box-shadow: 1px 1px #d32ee6,
              2px 2px #d32ee6,
              3px 3px #d32ee6,
              4px 4px #d32ee6,
              5px 5px #d32ee6,
              6px 6px #d32ee6;
  transition: .5s ease-in;
}

.roulette-red {
  box-shadow: 1px 1px #cb4848,
              2px 2px #cb4848,
              3px 3px #cb4848,
              4px 4px #cb4848,
              5px 5px #cb4848,
              6px 6px #cb4848;
}

.roulette-blue:hover,
.roulette-purple:hover {
  box-shadow: 0;
} */

.carousel-img {
  width: 100%;
  height: auto;
  object-fit: cover;
}

/* .roulette_block-img {
  padding: 1rem 1rem;
  background: linear-gradient(to right, var(--bs-biedge) 35%, rgba(0,0,0,0) 65%), url('../img/profile_roulette.png') no-repeat;
  background-size: cover;
} */

.modal-content {
  border: 0;
  padding: 0.75rem;
  border-radius: 24px;
}

.modal-header {
  padding: 0.75rem;
  border-bottom: 0;
}

.modal-footer {
  padding: 0.75rem;
  border-top: 0;
}

.form-select {
  border-radius: 0;
  border: 1px solid var(--bs-dark);
}

.card {
  background-color: var(--bs-tertiary-bg);
  border: 0;
}

.btn.disabled {
  border-color: transparent;
}